SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | List of all members
SLNet::LocklessUint32_t Class Reference

`#include <slikenet/LocklessTypes.h>`

## Public Member Functions

| LocklessUint32_t ()
| LocklessUint32_t (uint32_t initial)
uint32_t | Increment (void)
uint32_t | Decrement (void)
uint32_t | GetValue (void) const

## Protected Attributes

volatile uint32_t | value

## Detailed Description

Definition at line 30 of file LocklessTypes.h.

## Constructor & Destructor Documentation

LocklessUint32_t::LocklessUint32_t | ( |  | ) |

Definition at line 20 of file LocklessTypes.cpp.

References value.

LocklessUint32_t::LocklessUint32_t | ( | uint32_t | initial | ) |

explicit

Definition at line 24 of file LocklessTypes.cpp.

References value.

## Member Function Documentation

uint32_t LocklessUint32_t::Decrement | ( | void |  | ) |

Definition at line 43 of file LocklessTypes.cpp.

References value.

Referenced by SLNet::RNS2_Berkley::RecvFromLoopInt().

uint32_t SLNet::LocklessUint32_t::GetValue | ( | void |  | ) | const

inline

Definition at line 39 of file LocklessTypes.h.

Referenced by SLNet::RNS2_Berkley::BlockOnStopRecvPollingThread().

uint32_t LocklessUint32_t::Increment | ( | void |  | ) |

Definition at line 28 of file LocklessTypes.cpp.

References value.

Referenced by SLNet::RNS2_Berkley::RecvFromLoopInt().

## Member Data Documentation

volatile uint32_t SLNet::LocklessUint32_t::value

protected

Definition at line 49 of file LocklessTypes.h.

Referenced by Decrement(), Increment(), and LocklessUint32_t().

The documentation for this class was generated from the following files:

- Source/include/slikenet/LocklessTypes.h
- Source/src/LocklessTypes.cpp